Package org.lwjgl.opengles

# Class EXTSeparateShaderObjects

java.lang.Object
org.lwjgl.opengles.EXTSeparateShaderObjects

public final class EXTSeparateShaderObjects extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_PROGRAM_EXT`
Accepted by <type> parameter to GetProgramPipelineivEXT:
`static final int`
`GL_ALL_SHADER_BITS_EXT`
Accepted by <stages> parameter to UseProgramStagesEXT:
`static final int`
`GL_FRAGMENT_SHADER_BIT_EXT`
Accepted by <stages> parameter to UseProgramStagesEXT:
`static final int`
`GL_PROGRAM_PIPELINE_BINDING_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_PROGRAM_SEPARABLE_EXT`
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:
`static final int`
`GL_VERTEX_SHADER_BIT_EXT`
Accepted by <stages> parameter to UseProgramStagesEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glActiveShaderProgramEXT(int pipeline, int program)`
`static void`
`glBindProgramPipelineEXT(int pipeline)`
`static int`
`glCreateShaderProgramEXT(int type, int count, ByteBuffer strings)`
Overloads glCreateShaderProgramvEXT.
`static int`
`glCreateShaderProgramEXT(int type, CharSequence string)`
Overloads glCreateShaderProgramvEXT.
`static int`
`glCreateShaderProgramEXT(int type, CharSequence[] strings)`
Overloads glCreateShaderProgramvEXT.
`static int`
`glCreateShaderProgramEXT(int type, ByteBuffer string)`
Single null-terminated source code string.
`static int`
`glCreateShaderProgramEXT(int type, ByteBuffer[] strings)`
Overloads glCreateShaderProgramvEXT.
`static void`
`glDeleteProgramPipelinesEXT(int pipeline)`
Overloads glDeleteProgramPipelinesEXT.
`static void`
`glDeleteProgramPipelinesEXT(IntBuffer pipelines)`
`static int`
`glGenProgramPipelinesEXT()`
Overloads glGenProgramPipelinesEXT.
`static void`
`glGenProgramPipelinesEXT(IntBuffer pipelines)`
`static void`
`glGetProgramPipelineEXT(int pipeline, int pname, IntBuffer params)`
`static int`
`glGetProgramPipelineiEXT(int pipeline, int pname)`
Overloads glGetProgramPipelineivEXT.
`static String`
`glGetProgramPipelineInfoLogEXT(int pipeline, int bufSize)`
Overloads glGetProgramPipelineInfoLogEXT.
`static void`
`glGetProgramPipelineInfoLogEXT(int pipeline, IntBuffer length, ByteBuffer infoLog)`
`static boolean`
`glIsProgramPipelineEXT(int pipeline)`
`static void`
`glProgramParameteriEXT(int program, int pname, int value)`
`static void`
`glProgramUniform1EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform1EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform1fEXT(int program, int location, float v0)`
`static void`
`glProgramUniform1iEXT(int program, int location, int v0)`
`static void`
`glProgramUniform2EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform2EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform2fEXT(int program, int location, float v0, float v1)`
`static void`
`glProgramUniform2iEXT(int program, int location, int v0, int v1)`
`static void`
`glProgramUniform3EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform3EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform3fEXT(int program, int location, float v0, float v1, float v2)`
`static void`
`glProgramUniform3iEXT(int program, int location, int v0, int v1, int v2)`
`static void`
`glProgramUniform4EXT(int program, int location, FloatBuffer value)`
`static void`
`glProgramUniform4EXT(int program, int location, IntBuffer value)`
`static void`
`glProgramUniform4fEXT(int program, int location, float v0, float v1, float v2, float v3)`
`static void`
`glProgramUniform4iEXT(int program, int location, int v0, int v1, int v2, int v3)`
`static void`
`glProgramUniformMatrix2EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix3EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glProgramUniformMatrix4EXT(int program, int location, boolean transpose, FloatBuffer value)`
`static void`
`glUseProgramStagesEXT(int pipeline, int stages, int program)`
`static void`
`glValidateProgramPipelineEXT(int pipeline)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_SHADER_BIT_EXT

public static final int GL_VERTEX_SHADER_BIT_EXT
Accepted by <stages> parameter to UseProgramStagesEXT:

See Also:
  - Constant Field Values

### GL_FRAGMENT_SHADER_BIT_EXT

public static final int GL_FRAGMENT_SHADER_BIT_EXT
Accepted by <stages> parameter to UseProgramStagesEXT:

See Also:
  - Constant Field Values

### GL_ALL_SHADER_BITS_EXT

public static final int GL_ALL_SHADER_BITS_EXT
Accepted by <stages> parameter to UseProgramStagesEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_SEPARABLE_EXT

public static final int GL_PROGRAM_SEPARABLE_EXT
Accepted by the <pname> parameter of ProgramParameteriEXT and GetProgramiv:

See Also:
  - Constant Field Values

### GL_ACTIVE_PROGRAM_EXT

public static final int GL_ACTIVE_PROGRAM_EXT
Accepted by <type> parameter to GetProgramPipelineivEXT:

See Also:
  - Constant Field Values

### GL_PROGRAM_PIPELINE_BINDING_EXT

public static final int GL_PROGRAM_PIPELINE_BINDING_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glUseProgramStagesEXT

public static void glUseProgramStagesEXT(int pipeline, int stages, int program)

### glActiveShaderProgramEXT

public static void glActiveShaderProgramEXT(int pipeline, int program)

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, ByteBuffer string)
Single null-terminated source code string.

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, int count, ByteBuffer strings)
Overloads glCreateShaderProgramvEXT.

Multiple null-terminated source code strings, one after the other.

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, ByteBuffer[] strings)
Overloads glCreateShaderProgramvEXT.

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, CharSequence string)
Overloads glCreateShaderProgramvEXT.

### glCreateShaderProgramEXT

public static int glCreateShaderProgramEXT(int type, CharSequence[] strings)
Overloads glCreateShaderProgramvEXT.

### glBindProgramPipelineEXT

public static void glBindProgramPipelineEXT(int pipeline)

### glDeleteProgramPipelinesEXT

public static void glDeleteProgramPipelinesEXT(IntBuffer pipelines)

### glDeleteProgramPipelinesEXT

public static void glDeleteProgramPipelinesEXT(int pipeline)
Overloads glDeleteProgramPipelinesEXT.

### glGenProgramPipelinesEXT

public static void glGenProgramPipelinesEXT(IntBuffer pipelines)

### glGenProgramPipelinesEXT

public static int glGenProgramPipelinesEXT()
Overloads glGenProgramPipelinesEXT.

### glIsProgramPipelineEXT

public static boolean glIsProgramPipelineEXT(int pipeline)

### glProgramParameteriEXT

public static void glProgramParameteriEXT(int program, int pname, int value)

### glGetProgramPipelineEXT

public static void glGetProgramPipelineEXT(int pipeline, int pname, IntBuffer params)

### glGetProgramPipelineiEXT

public static int glGetProgramPipelineiEXT(int pipeline, int pname)
Overloads glGetProgramPipelineivEXT.

### glProgramUniform1iEXT

public static void glProgramUniform1iEXT(int program, int location, int v0)

### glProgramUniform2iEXT

public static void glProgramUniform2iEXT(int program, int location, int v0, int v1)

### glProgramUniform3iEXT

public static void glProgramUniform3iEXT(int program, int location, int v0, int v1, int v2)

### glProgramUniform4iEXT

public static void glProgramUniform4iEXT(int program, int location, int v0, int v1, int v2, int v3)

### glProgramUniform1fEXT

public static void glProgramUniform1fEXT(int program, int location, float v0)

### glProgramUniform2fEXT

public static void glProgramUniform2fEXT(int program, int location, float v0, float v1)

### glProgramUniform3fEXT

public static void glProgramUniform3fEXT(int program, int location, float v0, float v1, float v2)

### glProgramUniform4fEXT

public static void glProgramUniform4fEXT(int program, int location, float v0, float v1, float v2, float v3)

### glProgramUniform1EXT

public static void glProgramUniform1EXT(int program, int location, IntBuffer value)

### glProgramUniform2EXT

public static void glProgramUniform2EXT(int program, int location, IntBuffer value)

### glProgramUniform3EXT

public static void glProgramUniform3EXT(int program, int location, IntBuffer value)

### glProgramUniform4EXT

public static void glProgramUniform4EXT(int program, int location, IntBuffer value)

### glProgramUniform1EXT

public static void glProgramUniform1EXT(int program, int location, FloatBuffer value)

### glProgramUniform2EXT

public static void glProgramUniform2EXT(int program, int location, FloatBuffer value)

### glProgramUniform3EXT

public static void glProgramUniform3EXT(int program, int location, FloatBuffer value)

### glProgramUniform4EXT

public static void glProgramUniform4EXT(int program, int location, FloatBuffer value)

### glProgramUniformMatrix2EXT

public static void glProgramUniformMatrix2EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix3EXT

public static void glProgramUniformMatrix3EXT(int program, int location, boolean transpose, FloatBuffer value)

### glProgramUniformMatrix4EXT

public static void glProgramUniformMatrix4EXT(int program, int location, boolean transpose, FloatBuffer value)

### glValidateProgramPipelineEXT

public static void glValidateProgramPipelineEXT(int pipeline)

### glGetProgramPipelineInfoLogEXT

public static void glGetProgramPipelineInfoLogEXT(int pipeline, IntBuffer length, ByteBuffer infoLog)

### glGetProgramPipelineInfoLogEXT

public static String glGetProgramPipelineInfoLogEXT(int pipeline, int bufSize)
Overloads glGetProgramPipelineInfoLogEXT.